TYPE FooterRecord RECORD
    printedBy STRING,
    printedDate DATE,
    imageURL STRING
END RECORD

MAIN
    DEFINE fr FooterRecord, handler om.SaxDocumentHandler
    LET fr.printedBy="Me"
    LET fr.printedDate=TODAY
    LET fr.imageURL="logo.png"

    LET handler=configure("MainReport1.4rp")
    START REPORT mainReport1 TO XML HANDLER handler
    OUTPUT TO REPORT mainReport1("line1",fr.*);
    OUTPUT TO REPORT mainReport1("line2",fr.*);
    FINISH REPORT mainReport1

    LET handler=configure("MainReport2.4rp")
    START REPORT mainReport2 TO XML HANDLER handler
    OUTPUT TO REPORT mainReport2("a","b","c",fr.*);
    OUTPUT TO REPORT mainReport2("d","e","f",fr.*);
    FINISH REPORT mainReport2
END MAIN

FUNCTION configure(fileName)
DEFINE fileName STRING, handler om.SaxDocumentHandler
    IF NOT fgl_report_loadCurrentSettings(fileName) THEN
        EXIT PROGRAM
    END IF
    RETURN fgl_report_commitCurrentSettings()
END FUNCTION
    
    
REPORT mainReport1(arg,fr)
DEFINE arg STRING, fr FooterRecord
FORMAT
FIRST PAGE HEADER
    START REPORT footerReport
    OUTPUT TO REPORT footerReport(fr.*)
    FINISH REPORT footerReport
ON EVERY ROW
    PRINT arg
END REPORT

REPORT mainReport2(a,b,c,fr)
DEFINE a,b,c STRING, fr FooterRecord
FORMAT
FIRST PAGE HEADER
    START REPORT footerReport
    OUTPUT TO REPORT footerReport(fr.*)
    FINISH REPORT footerReport
ON EVERY ROW
    PRINT a,b,c
END REPORT

REPORT footerReport(fr)
DEFINE fr FooterRecord
FORMAT
FIRST PAGE HEADER
    PRINT fr.*
END REPORT
